create materialized view dept_summary_mview
 build immediate
 refresh complete
 enable query rewrite
as
select dname,count(empno) nbremps,           sum(coalesce(sal,0)+               coalesce(comm,0)) totpay
     from emp e full join dept d
            on e.deptno = d.deptno
     group by dname
     order by nbremps desc, totpay desc

/
